#inputDir=$1
#
#count=0
#
#for file in `ls $inputDir`; do
#	count=$((count+1))
#	#echo $file
#	name=$(echo $file | cut -f1 -d '.')
#	class=$(echo $file | cut -f3 -d '.')
#	outputFile="$name-$class.txt"
#	mv $inputDir/$file $inputDir/$outputFile
#	echo $count $file to $outputFile
#done

inputFile=$1
label=$2
outputFile=$3

IFS=$'\n'

echo -n "" > $outputFile

for line in `cat $inputFile`; do
	protein=$(echo $line | cut -f1)
	annotation=$(echo $line | cut -f2)
	start=$(echo $line | cut -f3)
	end=$(echo $line | cut -f4)
	second1=$(echo $annotation | cut -f1 -d '.')
	second2=$(echo $annotation | cut -f2 -d '.')
	label=${second1}.${second2}
#	if [ -f ContactAllPDB/$protein.txt ]; then
#		status="Found"
#	else
#		status="Not found"
#	fi
	echo -e "$protein.txt\t$annotation\t$label\t$start\t$end" | tee -a $outputFile
done
