if [ $# -ne 2 ]; then
	echo Usage: $0 [input-file] [output-file]
	exit
fi

inputFile=$1
outputFile=$2

if [ ! -f $inputFile ]; then
	echo Error: File $inputFile not found
	exit
fi

Rscript script/generate-pc2.r $inputFile $outputFile.class $outputFile.pc

paste $outputFile.class $outputFile.pc > $outputFile

rm $outputFile.class
rm $outputFile.pc
